
QGIS Application - Bug report #16438

Categorized layer crashes when deselecting 

2017-04-11 10:10 AM - Andre Jesus

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:2.14.13 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 24347

Description

Several clients are getting Freezes/Force closes when using Categorized.

The layer is categorized correctly and works as usual, but if you deselect any categorized item It either freezes QGIS or force close it.

Users report me this error:

http://i.imgur.com/ZTbmPjh.jpg

Or going strait to FC, dumpfile attached.

History

#1 - 2017-04-11 10:11 AM - Andre Jesus

As a workaround, I apply Categorized and switch It to Rule Based. No error found that way.

#2 - 2017-04-30 11:31 AM - Giovanni Manghi

- Description updated

- Status changed from Open to Feedback

- Priority changed from Severe/Regression to High

Any kind of vector datasources?

Regardless of the project?

Can you attach a sample?

Did you tried removing all 3rd party plugins/removing the .qgis2 folder?

#3 - 2017-05-01 01:01 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#4 - 2017-05-03 01:59 PM - Giovanni Manghi

- Category set to Symbology

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

#5 - 2017-10-02 02:54 PM - Andre Jesus

- Status changed from Closed to Reopened
Error is present in 2.14.18, downloading 2.14.19... but should be the same as I see no entry in the changelog

please disconsider this, only two users are reporting this problem e looks like dirty registry entries...

#6 - 2017-10-02 02:55 PM - Giovanni Manghi

- Status changed from Reopened to Feedback

- Resolution deleted (fixed/implemented)

Did you tried 2.18 (there are no more fixes for 2.14)?

Any kind of vector datasources?

Regardless of the project?

Can you attach a sample?

Did you tried removing all 3rd party plugins/removing the .qgis2 folder?

#7 - 2018-02-22 02:52 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.

Files

dp1.rar 2.61 MB 2017-04-11 Andre Jesus

dp2.rar 2.62 MB 2017-04-11 Andre Jesus
